[arch-commits] Commit in libmp4v2/trunk (PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Sat Mar 6 13:41:25 EST 2010


    Date: Saturday, March 6, 2010 @ 13:41:25
  Author: andrea
Revision: 71330

upgpkg: libmp4v2 1.9.1-1
new mp4v2 project; updated to last version

Modified:
  libmp4v2/trunk/PKGBUILD

----------+
 PKGBUILD |   44 +++++++++++++++++---------------------------
 1 file changed, 17 insertions(+), 27 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-06 18:18:14 UTC (rev 71329)
+++ PKGBUILD	2010-03-06 18:41:25 UTC (rev 71330)
@@ -1,38 +1,28 @@
 # $Id$
-# Maintainer: Andrea Scarpino <andrea at archlinux.org>
+# Maintainer:
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 
 pkgname=libmp4v2
-pkgver=1.6
-pkgrel=2
-pkgdesc="MPEG-4 (AAC) library and tools"
+pkgver=1.9.1
+pkgrel=1
+pkgdesc="MPEG-4 library"
 arch=('i686' 'x86_64')
-license=('custom')
-url="http://mpeg4ip.sourceforge.net/"
-depends=('gcc-libs')
+license=('MPL')
+url="http://code.google.com/p/mp4v2/"
 options=('!libtool')
-provides=('mpeg4ip')
-#source=(http://downloads.sourceforge.net/mpeg4ip/mpeg4ip-${pkgver}.tar.gz)
-source=(http://archive.ubuntu.com/ubuntu/pool/multiverse/m/mpeg4ip/mpeg4ip_1.6dfsg.orig.tar.gz)
-md5sums=('8b2391e8ed768a05e10830faf76e8d50')
+source=(http://mp4v2.googlecode.com/files/mp4v2-${pkgver}.tar.bz2)
+md5sums=('986701929ef15b03155ac4fb16444797')
 
 build() {
-  cd ${srcdir}/mpeg4ip-${pkgver}dfsg
-  touch bootstrapped
-  echo "" > lib/rtp/configure
-  echo "" > lib/SDLAudio/configure
+  cd ${srcdir}/mp4v2-${pkgver}
 
   ./configure --prefix=/usr || return 1
-  for dir in lib/gnu lib/mp4av lib/mp4v2; do
-    cd ${srcdir}/mpeg4ip-${pkgver}dfsg/${dir}
-    make || return 1
-    make DESTDIR=${pkgdir} install || return 1
-  done
-  install -m644 ${srcdir}/mpeg4ip-${pkgver}dfsg/include/mpeg4ip{,_version}.h 	
-    ${pkgdir}/usr/include/ || return 1
-  install -m644 ${srcdir}/mpeg4ip-${pkgver}dfsg/mpeg4ip_config.h \
-    ${pkgdir}/usr/include/ || return 1
-
-  install -Dm644 ${srcdir}/mpeg4ip-${pkgver}dfsg/COPYING \
-    ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE || return 1
+  make || return 1
 }
+
+package() {
+  cd ${srcdir}/mp4v2-${pkgver}
+  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR=${pkgdir} install-man || return 1
+}
\ No newline at end of file



More information about the arch-commits mailing list